{% extends 'auth/login.html' %}

{% block base_auth %}
	<div class="user-login">
		<div class="user-login__header">
			<h2>Регистрация</h2>
		</div>
		<div class="user-login__body">

			{% if form.errors %}
				<p class="error">Sorry, that's not a valid username or password</p>
			{% endif %}

			<form class="user-login__form" action="/user/signup/" method="post">{% csrf_token %}
				<div class="fieldset fieldset_login">
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Фамилия</label>
							<div class="field__control control control_default control_m control_center">
								<input type="text" name="{{ form.last_name.name }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Имя</label>
							<div class="field__control control control_default control_m control_center">
								<input type="text" name="{{ form.first_name.name }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Отчество</label>
							<div class="field__control control control_default control_m control_center">
								<input type="text" name="{{ form.patronymic.name }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">e-mail</label>
							<div class="field__control control control_default control_m control_center">
								<input type="email" name="{{ form.email.name }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Телефон</label>
							<div class="field__control control control_default control_m control_center">
								<input type="tel" name="{{ form.phone.name }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Пароль</label>
							<div class="field__control control control_default control_m control_center">
								<input type="password" name="{{ form.password1.name }}" required>
							</div>
						</div>
					</div>
					<div class="fieldset__item">
						<div class="field">
							<label class="field__label label label_float label_s">Повторите пароль</label>
							<div class="field__control control control_default control_m control_center">
								<input type="password" name="{{ form.password2.name }}" required>
							</div>
						</div>
					</div>

					<div class="fieldset__item">
						<label class="check check_m check_default">
							<input required="" type="checkbox">
							<div class="check__icon"></div>
							<div class="check__content">
							<div class="check__title fs_xs">даю согласие на обработку персональных данных бла бла бла</div>
							</div>
						</label>
					</div>

					<div class="fieldset__item">
						<button class="form__btn btn btn_primary btn_m btn_block">
							<div class="btn__grid">
								<div class="btn__title">'Зарегистрироваться'</div>
							</div>
						</button>
					</div>
					<div class="fieldset__item">
						<div class="msg msg_error ta_center p_s">
							<div class="fs_s">Сообщение об ошибке если указана неверная связка логин/пароль либо же серверная ошибка при попытке оптравки почты</div>
						</div>
					</div>
				</div>
			</form>
		</div>
	</div>
{% endblock base_auth %}